<?xml version="1.0" encoding="utf-8"?>
<policy version="1.0">

    <cmd id="4096" name="touch_move">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1421000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1850000</mid_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
            <vip>30</vip>
            <top-app>30</top-app>
            <foreground>30</foreground>
            <graphic>30</graphic>
        </action>
    </cmd>

    <cmd id="4098" gameOverlay="44098" name="window_switch">
        <action>
            <duration_ms>600</duration_ms>
            <ipa_power>10000</ipa_power>
            <lit_cpu0_min_freq>1287000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>1530000</lit_cpu0_max_freq>
            <mid_cpu0_max_freq>2150000</mid_cpu0_max_freq>
            <big_cpu0_max_freq>2620000</big_cpu0_max_freq>
            <gpu_min_freq>474000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <vip>40</vip>
            <top-app>40</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
            <gov_gpu_load>110</gov_gpu_load>
        </action>
        <action>
            <duration_ms>800</duration_ms>
            <gov_lit_cpu_delay_down>90</gov_lit_cpu_delay_down>
            <mips_task_enable>110</mips_task_enable>
            <mips_pid_control_update>110</mips_pid_control_update>
            <mips_freq_pid>110</mips_freq_pid>
            <mips_cpu_report_size>110</mips_cpu_report_size>
            <mid_cpu_freq_governor>110</mid_cpu_freq_governor>
            <big_cpu_freq_governor>110</big_cpu_freq_governor>
            <vip>40</vip>
        </action>
        <action isRtg="true">
            <duration_ms>650</duration_ms>
            <min_util>684</min_util>
        </action>
    </cmd>

    <cmd id="44098" name="game_overlay_window_switch">
        <action>
            <duration_ms>600</duration_ms>
            <ipa_power>10000</ipa_power>
            <lit_cpu0_min_freq>1287000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2150000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2487000</big_cpu0_min_freq>
            <gpu_min_freq>474000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <vip>40</vip>
            <top-app>40</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
            <gov_gpu_load>110</gov_gpu_load>
        </action>
        <action>
            <duration_ms>3000</duration_ms>
            <gov_mid_cpu_load>110</gov_mid_cpu_load>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <gov_lit_cpu_delay_down>90</gov_lit_cpu_delay_down>
        </action>
        <action isRtg="true">
            <duration_ms>650</duration_ms>
            <min_util>684</min_util>
        </action>
    </cmd>

    <cmd id="4099" gameOverlay="44099" name="app_start">
        <action>
            <duration_ms>1000</duration_ms>
            <mid_cpu0_min_freq>2150000</mid_cpu0_min_freq>
        </action>
        <action>
            <duration_ms>1500</duration_ms>
            <lit_cpu0_min_freq>1530000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>1530000</lit_cpu0_max_freq>
            <mid_cpu0_max_freq>2150000</mid_cpu0_max_freq>
            <big_cpu0_max_freq>2620000</big_cpu0_max_freq>
            <gpu_min_freq>642000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <vip>40</vip>
            <top-app>40</top-app>
            <graphic>30</graphic>
            <foreground>40</foreground>
            <ipa_power>10000</ipa_power>
            <latency_cpu>110</latency_cpu>
            <mips_freq_pid>120</mips_freq_pid>
        </action>
        <action>
            <duration_ms>4000</duration_ms>
            <mips_task_enable>110</mips_task_enable>
            <mips_pid_control_update>110</mips_pid_control_update>
            <mips_freq_pid>110</mips_freq_pid>
            <mips_cpu_report_size>110</mips_cpu_report_size>
            <mid_cpu_freq_governor>110</mid_cpu_freq_governor>
            <big_cpu_freq_governor>110</big_cpu_freq_governor>
            <gov_lit_cpu_delay_down>110</gov_lit_cpu_delay_down>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
        </action>
    </cmd>

    <cmd id="44099" name="game_overlay_app_start">
        <action>
            <duration_ms>1500</duration_ms>
            <lit_cpu0_min_freq>1530000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2150000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2620000</big_cpu0_min_freq>
            <gpu_min_freq>642000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <vip>40</vip>
            <top-app>40</top-app>
            <graphic>30</graphic>
            <foreground>40</foreground>
            <ipa_power>10000</ipa_power>
            <latency_cpu>110</latency_cpu>
        </action>
        <action>
            <duration_ms>4000</duration_ms>
            <gov_lit_cpu_delay_down>110</gov_lit_cpu_delay_down>
            <gov_mid_cpu_delay_down>110</gov_mid_cpu_delay_down>
            <gov_big_cpu_delay_down>110</gov_big_cpu_delay_down>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_big_cpu_fast_up>110</gov_big_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_mid_cpu_fast_down>110</gov_mid_cpu_fast_down>
            <gov_big_cpu_fast_down>110</gov_big_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_toptask_pcy>120</gov_big_cpu_toptask_pcy>
            <gov_mid_cpu_load>125</gov_mid_cpu_load>
            <gov_big_cpu_load>110</gov_big_cpu_load>
        </action>
    </cmd>

    <!--enter game or full screen video, eas boost remain default value 0-->
    <cmd id="4101" name="reset_boost_eas">
        <action>
            <duration_ms>0</duration_ms>
            <perf_limit>1</perf_limit>
        </action>
    </cmd>

    <cmd id="4102" name="screen_on">
        <action>
            <duration_ms>1000</duration_ms>
            <lit_cpu0_min_freq>1530000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1850000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>1992000</big_cpu0_min_freq>
            <gpu_min_freq>430000000</gpu_min_freq>
            <ipa_power>10000</ipa_power>
            <vip>30</vip>
            <top-app>10</top-app>
            <graphic>30</graphic>
            <foreground>10</foreground>
        </action>
    </cmd>

    <cmd id="4103" name="finger_print">
        <action>
            <duration_ms>1000</duration_ms>
            <lit_cpu0_min_freq>1430000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1930000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2620000</big_cpu0_min_freq>
            <gpu_min_freq>474000000</gpu_min_freq>
            <ddr_min_freq>1866000000</ddr_min_freq>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <ipa_power>10000</ipa_power>
            <vip>40</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>40</foreground>
        </action>
    </cmd>

    <cmd id="4104" gameOverlay="44104" name="status_bar">
        <action>
            <duration_ms>50</duration_ms>
            <mid_cpu0_min_freq>1748000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2120000</big_cpu0_min_freq>
        </action>
        <action>
            <duration_ms>200</duration_ms>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <lit_cpu0_max_freq>1530000</lit_cpu0_max_freq>
            <mid_cpu0_max_freq>2150000</mid_cpu0_max_freq>
            <big_cpu0_max_freq>2620000</big_cpu0_max_freq>
            <ipa_power>10000</ipa_power>
            <vip>40</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>40</foreground>
            <mips_task_enable>110</mips_task_enable>
            <mips_pid_control_update>110</mips_pid_control_update>
            <mips_freq_pid>110</mips_freq_pid>
            <mips_cpu_report_size>110</mips_cpu_report_size>
            <mid_cpu_freq_governor>110</mid_cpu_freq_governor>
            <big_cpu_freq_governor>110</big_cpu_freq_governor>
        </action>
    </cmd>

    <cmd id="44104" name="game_overlay_status_bar">
        <action>
            <duration_ms>200</duration_ms>
            <mid_cpu0_min_freq>1748000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2120000</big_cpu0_min_freq>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <ipa_power>10000</ipa_power>
            <vip>40</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>40</foreground>
        </action>
    </cmd>

    <cmd id="13210" name="power_status_bar">
        <action>
            <duration_ms>1</duration_ms>
        </action>
    </cmd>

    <cmd id="4105" name="rotation">
        <action>
            <duration_ms>1000</duration_ms>
            <lit_cpu0_min_freq>1530000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2150000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2620000</big_cpu0_min_freq>
            <gpu_min_freq>642000000</gpu_min_freq>
            <ddr_min_freq>2107000000</ddr_min_freq>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <ipa_power>10000</ipa_power>
            <vip>40</vip>
            <top-app>40</top-app>
            <foreground>40</foreground>
            <graphic>40</graphic>
        </action>
    </cmd>

    <cmd id="4106" name="lucky_money">
        <action>
            <duration_ms>500</duration_ms>
            <lit_cpu0_min_freq>1430000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1930000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2487000</big_cpu0_min_freq>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <ipa_power>10000</ipa_power>
            <vip>40</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
    </cmd>

    <cmd id="4112" name="list_fling">
        <action>
            <duration_ms>5000</duration_ms>
            <lit_cpu0_min_freq>1287000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1748000</mid_cpu0_min_freq>
            <gpu_min_freq>371000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <ipa_power>10000</ipa_power>
            <vip>40</vip>
            <top-app>40</top-app>
            <foreground>40</foreground>
            <graphic>40</graphic>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_mid_cpu_delay_up>110</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>110</gov_big_cpu_delay_up>
        </action>
    </cmd>

    <!-- set iaware default eas value -->
    <cmd id="4113" name="iaware_default_eas">
        <action>
            <duration_ms>0</duration_ms>
            <vip>10</vip>
            <top-app>10</top-app>
            <foreground>10</foreground>
            <graphic>10</graphic>
            <root>0</root>
            <system-background>0</system-background>
            <key-background>0</key-background>
            <background>0</background>
        </action>
    </cmd>

    <!-- set iaware screen off eas value -->
    <cmd id="4114" name="iaware_eas_screen_off">
        <action>
            <duration_ms>0</duration_ms>
            <perf_limit>1</perf_limit>
            <vip>-10</vip>
            <top-app>-10</top-app>
            <foreground>0</foreground>
            <graphic>-10</graphic>
            <root>-10</root>
            <system-background>-10</system-background>
            <key-background>-10</key-background>
            <background>-10</background>
        </action>
    </cmd>

    <cmd id="4116" name="probe">
        <action>
            <duration_ms>100</duration_ms>
            <mid_cpu0_min_freq>1748000</mid_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>

    <cmd id="4117" name="slide_move">
        <action>
            <duration_ms>400</duration_ms>
            <lit_cpu0_min_freq>1018000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1325000</mid_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
            <gpu_min_freq>308000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>538000000</l3c_min_freq>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <vip>30</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
    </cmd>

    <cmd id="4118" name="specialscene">
        <action>
            <duration_ms>0</duration_ms>
            <special_scene>1</special_scene>
        </action>
    </cmd>

    <cmd id="4119" name="special_game_scene">
        <action>
            <duration_ms>0</duration_ms>
            <special_scene>2</special_scene>
        </action>
    </cmd>

    <cmd id="4123" name="power_saving_mode">
        <action>
            <duration_ms>0</duration_ms>
            <special_scene>5</special_scene>
        </action>
    </cmd>

    <cmd id="4125" name="game_overlay">
        <action>
            <duration_ms>0</duration_ms>
        </action>
    </cmd>

    <cmd id="4221" name="gpu_compose_high_fps">
        <action>
            <duration_ms>0</duration_ms>
            <mid_cpu0_min_freq>1530000</mid_cpu0_min_freq>
            <vip>40</vip>
            <top-app>40</top-app>
            <foreground>30</foreground>
            <graphic>40</graphic>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>

    <cmd id="4399" gameOverlay="44399" name="warm_start">
        <action>
            <duration_ms>100</duration_ms>
            <mid_cpu0_min_freq>2150000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2620000</big_cpu0_min_freq>
        </action>
        <action>
            <duration_ms>600</duration_ms>
            <lit_cpu0_min_freq>1430000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>1530000</lit_cpu0_max_freq>
            <mid_cpu0_max_freq>2150000</mid_cpu0_max_freq>
            <big_cpu0_max_freq>2620000</big_cpu0_max_freq>
            <gpu_min_freq>642000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <mips_freq_pid>120</mips_freq_pid>
            <top-app>40</top-app>
            <vip>40</vip>
            <graphic>30</graphic>
            <foreground>30</foreground>
            <gov_gpu_load>130</gov_gpu_load>
        </action>
        <action>
            <duration_ms>1000</duration_ms>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <mips_task_enable>110</mips_task_enable>
            <mips_pid_control_update>110</mips_pid_control_update>
            <mips_freq_pid>110</mips_freq_pid>
            <mips_cpu_report_size>110</mips_cpu_report_size>
            <mid_cpu_freq_governor>110</mid_cpu_freq_governor>
            <big_cpu_freq_governor>110</big_cpu_freq_governor>
            <gov_lit_cpu_load>110</gov_lit_cpu_load>
            <gov_lit_cpu_delay_down>110</gov_lit_cpu_delay_down>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>

    <cmd id="44399" name="game_overlay_warm_start">
        <action>
            <duration_ms>600</duration_ms>
            <lit_cpu0_min_freq>1430000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2150000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2620000</big_cpu0_min_freq>
            <gpu_min_freq>642000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <vip>40</vip>
            <top-app>40</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
            <gov_gpu_load>110</gov_gpu_load>
        </action>
        <action>
            <duration_ms>1000</duration_ms>
            <gov_lit_cpu_load>110</gov_lit_cpu_load>
            <gov_mid_cpu_load>110</gov_mid_cpu_load>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <gov_lit_cpu_delay_down>110</gov_lit_cpu_delay_down>
            <gov_mid_cpu_delay_down>110</gov_mid_cpu_delay_down>
            <gov_big_cpu_delay_down>110</gov_big_cpu_delay_down>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_big_cpu_fast_up>110</gov_big_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_mid_cpu_fast_down>110</gov_mid_cpu_fast_down>
            <gov_big_cpu_fast_down>110</gov_big_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_toptask_pcy>120</gov_big_cpu_toptask_pcy>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>

    <cmd id="13205" name="power_save_mode">
        <action>
            <duration_ms>1</duration_ms>
        </action>
    </cmd>

    <!--from 4394 to 4398, for touch boost. cmd id begin-->
    <cmd id="4394" name="touch_boost_level_1">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1148000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1440000</mid_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
            <vip>30</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
    </cmd>

    <cmd id="4395" name="touch_boost_level_2">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1287000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1850000</mid_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
            <vip>30</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
    </cmd>

    <cmd id="4396" name="touch_boost_level_3">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1430000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1850000</mid_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
            <vip>30</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
    </cmd>

    <cmd id="4397" name="touch_boost_level_4">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1430000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1850000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2487000</big_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
            <vip>30</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
    </cmd>

    <cmd id="4398" name="touch_boost_level_5">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1430000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2020000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2350000</big_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
            <vip>40</vip>
            <top-app>40</top-app>
            <foreground>40</foreground>
            <graphic>40</graphic>
        </action>
    </cmd>
    <!--from 4394 to 4398, for touch boost. cmd id end-->

    <cmd id="4400" gameOverlay="44400" name="click_normal">
        <action>
            <duration_ms>250</duration_ms>
            <lit_cpu0_min_freq>864000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>1530000</lit_cpu0_max_freq>
            <mid_cpu0_max_freq>2150000</mid_cpu0_max_freq>
            <big_cpu0_max_freq>2620000</big_cpu0_max_freq>
            <gpu_min_freq>308000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>692000000</l3c_min_freq>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
        <action>
            <duration_ms>800</duration_ms>
            <vip>40</vip>
            <top-app>40</top-app>
            <mips_task_enable>110</mips_task_enable>
            <mips_pid_control_update>110</mips_pid_control_update>
            <mips_freq_pid>110</mips_freq_pid>
            <mips_cpu_report_size>110</mips_cpu_report_size>
            <mid_cpu_freq_governor>110</mid_cpu_freq_governor>
            <big_cpu_freq_governor>110</big_cpu_freq_governor>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <ipa_power>10000</ipa_power>
        </action>
        <action isRtg="true">
            <duration_ms>250</duration_ms>
            <min_util>600</min_util>
        </action>
    </cmd>

    <cmd id="44400" name="game_overlay_click_normal">
        <action>
            <duration_ms>250</duration_ms>
            <lit_cpu0_min_freq>864000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1204000</mid_cpu0_min_freq>
            <gpu_min_freq>308000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>692000000</l3c_min_freq>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <vip>30</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
        <action>
            <duration_ms>500</duration_ms>
            <gov_mid_cpu_load>110</gov_mid_cpu_load>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_big_cpu_delay_down>100</gov_big_cpu_delay_down>
            <gov_big_cpu_fast_down>110</gov_big_cpu_fast_down>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_toptask_pcy>120</gov_big_cpu_toptask_pcy>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <ipa_power>10000</ipa_power>
        </action>
        <action isRtg="true">
            <duration_ms>250</duration_ms>
            <min_util>600</min_util>
        </action>
    </cmd>

    <cmd id="4401" gameOverlay="44401" name="click_boost">
        <action>
            <duration_ms>250</duration_ms>
            <lit_cpu0_min_freq>864000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>1530000</lit_cpu0_max_freq>
            <mid_cpu0_min_freq>1748000</mid_cpu0_min_freq>
            <mid_cpu0_max_freq>2150000</mid_cpu0_max_freq>
            <gpu_min_freq>371000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>692000000</l3c_min_freq>
            <vip>40</vip>
            <top-app>40</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
        <action>
            <duration_ms>400</duration_ms>
            <mips_task_enable>110</mips_task_enable>
            <mips_pid_control_update>110</mips_pid_control_update>
            <mips_freq_pid>110</mips_freq_pid>
            <mips_cpu_report_size>110</mips_cpu_report_size>
            <mid_cpu_freq_governor>110</mid_cpu_freq_governor>
            <big_cpu_freq_governor>110</big_cpu_freq_governor>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <ipa_power>10000</ipa_power>
        </action>
        <action isRtg="true">
            <duration_ms>250</duration_ms>
            <min_util>600</min_util>
        </action>
    </cmd>

    <cmd id="44401" name="game_overlay_click_boost">
        <action>
            <duration_ms>250</duration_ms>
            <lit_cpu0_min_freq>864000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2020000</mid_cpu0_min_freq>
            <gpu_min_freq>371000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>692000000</l3c_min_freq>
            <vip>40</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
        <action>
            <duration_ms>400</duration_ms>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_mid_cpu_fast_down>110</gov_mid_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <ipa_power>10000</ipa_power>
        </action>
        <action isRtg="true">
            <duration_ms>250</duration_ms>
            <min_util>600</min_util>
        </action>
    </cmd>

    <cmd id="4402" name="slide_normal">
        <action>
            <duration_ms>500</duration_ms>
            <ipa_power>10000</ipa_power>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_mid_cpu_delay_up>110</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>110</gov_big_cpu_delay_up>
        </action>
        <action>
            <duration_ms>280</duration_ms>
            <lit_cpu0_min_freq>1287000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1748000</mid_cpu0_min_freq>
            <gpu_min_freq>371000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <vip>30</vip>
            <top-app>30</top-app>
            <foreground>30</foreground>
            <graphic>30</graphic>
        </action>
    </cmd>

    <cmd id="4403" name="slide_boost">
        <action>
            <duration_ms>250</duration_ms>
            <lit_cpu0_min_freq>1287000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1748000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2237000</big_cpu0_min_freq>
            <gpu_min_freq>430000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <vip>40</vip>
            <top-app>30</top-app>
            <foreground>30</foreground>
            <graphic>30</graphic>
        </action>
        <action>
            <duration_ms>500</duration_ms>
            <ipa_power>10000</ipa_power>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_mid_cpu_delay_up>110</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>110</gov_big_cpu_delay_up>
        </action>
    </cmd>

    <!--from 4412 to 4415, for soc intelligent schedule. cmd id start-->
    <cmd id="4412" name="slide_normal_remove_boost">
        <action>
            <duration_ms>500</duration_ms>
            <ipa_power>10000</ipa_power>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_mid_cpu_delay_up>110</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>110</gov_big_cpu_delay_up>
        </action>
        <action>
            <duration_ms>250</duration_ms>
            <lit_cpu0_min_freq>1287000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1748000</mid_cpu0_min_freq>
            <gpu_min_freq>371000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <vip>30</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
    </cmd>

    <cmd id="4413" name="slide_boost_remove_boost">
        <action>
            <duration_ms>250</duration_ms>
            <lit_cpu0_min_freq>1287000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1748000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2237000</big_cpu0_min_freq>
            <gpu_min_freq>430000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <vip>40</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
        <action>
            <duration_ms>500</duration_ms>
            <ipa_power>10000</ipa_power>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_mid_cpu_delay_up>110</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>110</gov_big_cpu_delay_up>
        </action>
    </cmd>
    <!--from 4412 to 4415, for soc intelligent schedule. cmd id end-->

    <!--from 4405 to 4414, for itouch perf level. cmd id begin-->
    <cmd id="4405" name="itouch_perf_level_1">
        <action>
            <duration_ms>100</duration_ms>
            <lit_cpu0_min_freq>1430000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1440000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2237000</big_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>

    <cmd id="4406" name="itouch_perf_level_2">
        <action>
            <duration_ms>100</duration_ms>
            <lit_cpu0_min_freq>1430000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1570000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2350000</big_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>

    <cmd id="4407" name="itouch_perf_level_3">
        <action>
            <duration_ms>100</duration_ms>
            <gpu_min_freq>430000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <lit_cpu0_min_freq>1530000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1748000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2487000</big_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>

    <cmd id="4408" name="itouch_perf_level_4">
        <action>
            <duration_ms>100</duration_ms>
            <lit_cpu0_min_freq>1530000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1850000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2487000</big_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>

    <cmd id="4409" name="itouch_perf_level_5">
        <action>
            <duration_ms>100</duration_ms>
            <lit_cpu0_min_freq>1530000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2020000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2487000</big_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>
    <!--from 4405 to 4414, for itouch perf level. cmd id end-->

    <!--for quickstep, DTS2018072501811 -->
    <cmd id="4416" gameOverlay="44416" name="quickstep">
        <action>
            <duration_ms>450</duration_ms>
            <ipa_power>10000</ipa_power>
            <lit_cpu0_min_freq>1287000</lit_cpu0_min_freq>
            <lit_cpu0_max_freq>1530000</lit_cpu0_max_freq>
            <mid_cpu0_max_freq>2150000</mid_cpu0_max_freq>
            <gpu_min_freq>601000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <vip>30</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <mips_task_enable>110</mips_task_enable>
            <mips_pid_control_update>110</mips_pid_control_update>
            <mips_freq_pid>110</mips_freq_pid>
            <mips_cpu_report_size>110</mips_cpu_report_size>
            <mid_cpu_freq_governor>110</mid_cpu_freq_governor>
            <big_cpu_freq_governor>110</big_cpu_freq_governor>
        </action>
        <action>
            <duration_ms>610</duration_ms>
            <gpu_min_freq>750000000</gpu_min_freq>
        </action>			
    </cmd>

    <!--from 4420 to 4422, for freeform slide normal boost. cmd id start-->
    <cmd id="4420" name="freeform_slide_normal_boost_level1">
        <action>
            <duration_ms>500</duration_ms>
            <ipa_power>10000</ipa_power>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_mid_cpu_delay_up>110</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>110</gov_big_cpu_delay_up>
        </action>
        <action>
            <duration_ms>280</duration_ms>
            <lit_cpu0_min_freq>1287000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1850000</mid_cpu0_min_freq>
            <gpu_min_freq>371000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <vip>30</vip>
            <top-app>30</top-app>
            <foreground>30</foreground>
            <graphic>30</graphic>
        </action>
    </cmd>

    <cmd id="4421" name="freeform_slide_normal_boost_level2">
        <action>
            <duration_ms>500</duration_ms>
            <ipa_power>10000</ipa_power>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_mid_cpu_delay_up>110</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>110</gov_big_cpu_delay_up>
        </action>
        <action>
            <duration_ms>280</duration_ms>
            <lit_cpu0_min_freq>1430000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1930000</mid_cpu0_min_freq>
            <gpu_min_freq>371000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <vip>30</vip>
            <top-app>30</top-app>
            <foreground>30</foreground>
            <graphic>30</graphic>
        </action>
    </cmd>

    <cmd id="4422" name="freeform_slide_normal_boost_level3">
        <action>
            <duration_ms>500</duration_ms>
            <ipa_power>10000</ipa_power>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_mid_cpu_delay_up>110</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>110</gov_big_cpu_delay_up>
        </action>
        <action>
            <duration_ms>280</duration_ms>
            <lit_cpu0_min_freq>1530000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2020000</mid_cpu0_min_freq>
            <gpu_min_freq>371000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <vip>30</vip>
            <top-app>30</top-app>
            <foreground>30</foreground>
            <graphic>30</graphic>
        </action>
    </cmd>

    <cmd id="4425" name="freeform_slide_move_boost">
        <action>
            <duration_ms>0</duration_ms>
            <lit_cpu0_min_freq>1287000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1748000</mid_cpu0_min_freq>
            <gpu_min_freq>601000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <vip>30</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
    </cmd>

    <cmd id="44416" name="game_overlay_quickstep">
        <action>
            <duration_ms>450</duration_ms>
            <ipa_power>10000</ipa_power>
            <lit_cpu0_min_freq>1287000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1440000</mid_cpu0_min_freq>
            <gpu_min_freq>601000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <vip>30</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_mid_cpu_delay_up>110</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>110</gov_big_cpu_delay_up>
        </action>
    </cmd>

    <!--group num must be (eas:8, hmp:1), for PG & TC-->
    <cmd id="5376" name="uniperf_default_eas">
        <action>
            <duration_ms>0</duration_ms>
            <vip>0</vip>
            <top-app>0</top-app>
            <foreground>0</foreground>
            <root>0</root>
            <system-background>0</system-background>
            <key-background>0</key-background>
            <background>0</background>
        </action>
    </cmd>

    <cmd id="5377" name="decode_opt">
        <action>
            <duration_ms>100</duration_ms>
            <lit_cpu0_min_freq>1018000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2150000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2487000</big_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>

    <cmd id="5378" name="touch_down">
        <action>
            <duration_ms>100</duration_ms>
            <mid_cpu0_min_freq>999000</mid_cpu0_min_freq>
            <top-app>30</top-app>
            <vip>30</vip>
            <graphic>30</graphic>
            <gov_big_cpu_load>110</gov_big_cpu_load>
        </action>
    </cmd>

    <cmd id="5379" name="touch_up">
        <action>
            <duration_ms>100</duration_ms>
            <mips_task_enable>110</mips_task_enable>
            <mips_pid_control_update>110</mips_pid_control_update>
            <mips_freq_pid>110</mips_freq_pid>
            <mips_cpu_report_size>110</mips_cpu_report_size>
            <mid_cpu_freq_governor>110</mid_cpu_freq_governor>
            <big_cpu_freq_governor>110</big_cpu_freq_governor>
            <top-app>30</top-app>
            <vip>40</vip>
            <graphic>30</graphic>
        </action>
    </cmd>

    <cmd id="12312" name="bcpu_level_20">
        <action>
            <duration_ms>7000</duration_ms>
            <vip>40</vip>
            <top-app>40</top-app>
            <graphic>30</graphic>
            <foreground>40</foreground>
            <mid_cpu0_min_freq>1930000</mid_cpu0_min_freq>
            <ddr_min_freq>2107000000</ddr_min_freq>
        </action>
    </cmd>

    <cmd id="12361" name="isolate_cpu_b">
        <action>
            <duration_ms>0</duration_ms>
            <perf_limit>1</perf_limit>
            <big_cpu_isolation_min>90</big_cpu_isolation_min>
        </action>
    </cmd>

    <cmd id="12354" name="gov_scene_level_4">
        <action>
            <duration_ms>0</duration_ms>
        </action>
    </cmd>

    <cmd id="12356" name="gov_scene_level_5">
        <action>
            <duration_ms>0</duration_ms>
        </action>
    </cmd>

    <cmd id="12358" name="prefer_idle">
        <action>
            <duration_ms>0</duration_ms>
            <perf_limit>1</perf_limit>
            <vip_prefer_idle>90</vip_prefer_idle>
            <ta_prefer_idle>90</ta_prefer_idle>
        </action>
    </cmd>

    <!--from 13050 to 13059, for game launch boost. cmd id begin-->
    <cmd id="13050" name="game_launch_schedule">
        <action>
            <duration_ms>20000</duration_ms>
            <ipa_power>10000</ipa_power>
            <vip>40</vip>
            <top-app>40</top-app>
            <graphic>40</graphic>
            <foreground>30</foreground>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_mid_cpu_delay_up>110</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>110</gov_big_cpu_delay_up>
            <gov_lit_cpu_delay_down>110</gov_lit_cpu_delay_down>
            <gov_mid_cpu_delay_down>110</gov_mid_cpu_delay_down>
            <gov_big_cpu_delay_down>110</gov_big_cpu_delay_down>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_big_cpu_fast_up>110</gov_big_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_mid_cpu_fast_down>110</gov_mid_cpu_fast_down>
            <gov_big_cpu_fast_down>110</gov_big_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_toptask_pcy>120</gov_big_cpu_toptask_pcy>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
        </action>
    </cmd>

    <cmd id="13051" name="game_launch_top"> <!-- 王者荣耀、和平精英、原神、暗黑 等TOP大型游戏 -->
        <action>
            <duration_ms>25000</duration_ms>
            <big_cpu0_min_freq>2620000</big_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
            <vip>40</vip>
            <top-app>40</top-app>
            <graphic>40</graphic>
            <foreground>30</foreground>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_mid_cpu_delay_up>110</gov_mid_cpu_delay_up>
            <gov_lit_cpu_delay_down>110</gov_lit_cpu_delay_down>
            <gov_mid_cpu_delay_down>110</gov_mid_cpu_delay_down>
            <gov_big_cpu_delay_down>110</gov_big_cpu_delay_down>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_big_cpu_fast_up>110</gov_big_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_mid_cpu_fast_down>110</gov_mid_cpu_fast_down>
            <gov_big_cpu_fast_down>110</gov_big_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_toptask_pcy>120</gov_big_cpu_toptask_pcy>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
        </action>
    </cmd>
    <!--from 13050 to 13059, for game launch boost. cmd id end-->

    <!--from 13103 to 13105, for vr thermal scene. cmd id begin-->
    <cmd id="13104" name="vr_thermal_scene_video">
        <action>
            <top-app>40</top-app>
            <foreground>40</foreground>
            <special_scene>1</special_scene>
            <lit_cpu0_min_freq>1148000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1440000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>1992000</big_cpu0_min_freq>
            <latency_gpu>110</latency_gpu>
            <duration_ms>0</duration_ms>
        </action>
    </cmd>

    <cmd id="13105" name="vr_thermal_scene_launcher">
        <action>
            <top-app>40</top-app>
            <graphic>30</graphic>
            <foreground>40</foreground>
            <special_scene>1</special_scene>
            <lit_cpu0_min_freq>1148000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1440000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>1992000</big_cpu0_min_freq>
            <latency_gpu>110</latency_gpu>
            <duration_ms>0</duration_ms>
        </action>
    </cmd>
    <!--from 13103 to 13105, for vr thermal scene. cmd id end-->

    <cmd id="13120" gameOverlay="43120" name="ime_touchdown_boost">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_max_freq>1530000</lit_cpu0_max_freq>
            <mid_cpu0_max_freq>2150000</mid_cpu0_max_freq>
            <big_cpu0_max_freq>2620000</big_cpu0_max_freq>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>110</gov_lit_cpu_delay_down>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <graphic>30</graphic>
            <foreground>30</foreground>
            <top-app>30</top-app>
        </action>
        <action>
            <duration_ms>300</duration_ms>
            <mips_task_enable>110</mips_task_enable>
            <mips_pid_control_update>110</mips_pid_control_update>
            <mips_freq_pid>105</mips_freq_pid>
            <mips_cpu_report_size>110</mips_cpu_report_size>
            <mid_cpu_freq_governor>110</mid_cpu_freq_governor>
            <big_cpu_freq_governor>110</big_cpu_freq_governor>
            <ipa_power>10000</ipa_power>
            <vip>30</vip>
        </action>
    </cmd>

    <cmd id="43120" name="game_overlay_ime_touchdown_boost">
        <action>
            <duration_ms>80</duration_ms>
            <lit_cpu0_min_freq>1430000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>1850000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>1696000</big_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
            <vip>30</vip>
            <top-app>30</top-app>
            <graphic>30</graphic>
            <foreground>30</foreground>
        </action>
    </cmd>

    <cmd id="13240" name="window_cast_boost">
        <action>
            <duration_ms>5000</duration_ms>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <venc_clk_rate>3</venc_clk_rate>
        </action>
    </cmd>

    <cmd id="13250" name="camera_scan_allocator_buffer">
        <action>
           <duration_ms>0</duration_ms>
           <sys_pool_watermark>230686720</sys_pool_watermark>
        </action>
    </cmd>
    <!--0x4f00~0x4fff, for notification event-->

    <cmd id="13251" name="scan_boost">
        <action>
            <duration_ms>6000</duration_ms>
            <lit_cpu0_min_freq>1530000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2150000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2620000</big_cpu0_min_freq>
            <vip>40</vip>
            <top-app>40</top-app>
            <foreground>40</foreground>
            <graphic>30</graphic>
            <ipa_power>10000</ipa_power>
            <gov_lit_cpu_delay_down>110</gov_lit_cpu_delay_down>
            <gov_mid_cpu_delay_down>110</gov_mid_cpu_delay_down>
            <gov_big_cpu_delay_down>110</gov_big_cpu_delay_down>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_big_cpu_fast_up>110</gov_big_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_mid_cpu_fast_down>110</gov_mid_cpu_fast_down>
            <gov_big_cpu_fast_down>110</gov_big_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_toptask_pcy>120</gov_big_cpu_toptask_pcy>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_mid_cpu_load>125</gov_mid_cpu_load>
            <gov_big_cpu_load>110</gov_big_cpu_load>
            <gov_lit_cpu_delay_up>110</gov_lit_cpu_delay_up>
            <gov_mid_cpu_delay_up>110</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>110</gov_big_cpu_delay_up>
        </action>
    </cmd>

    <cmd id="13253" name="video_uclamp_boost">
        <action>
            <duration_ms>0</duration_ms>
            <vip>10</vip>
        </action>
    </cmd>

    <!--from 13261 to 13263, for gpu compositon scene. cmd id begin-->
    <cmd id="13261" name="gpu_compose_boost_low">
        <action>
            <duration_ms>0</duration_ms>
            <latency_gpu>110</latency_gpu>
        </action>
    </cmd>

    <cmd id="13262" name="gpu_compose_boost_mid">
        <action>
            <duration_ms>0</duration_ms>
            <gpu_min_freq>570000000</gpu_min_freq>
            <gov_gpu_load>110</gov_gpu_load>
        </action>
    </cmd>

    <cmd id="13263" name="gpu_compose_boost_high">
        <action>
            <duration_ms>0</duration_ms>
            <gpu_min_freq>750000000</gpu_min_freq>
            <gov_gpu_load>110</gov_gpu_load>
        </action>
    </cmd>
    <!--from 13261 to 13263, for gpu compositon scene. cmd id end-->

    <cmd id="13271" name="animation_boost">
        <action>
            <duration_ms>1000</duration_ms>
            <mid_cpu0_min_freq>1850000</mid_cpu0_min_freq>
            <mid_cpu0_max_freq>2150000</mid_cpu0_max_freq>
            <gpu_min_freq>474000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <mips_task_enable>110</mips_task_enable>
            <mips_pid_control_update>110</mips_pid_control_update>
            <mips_freq_pid>110</mips_freq_pid>
            <mips_cpu_report_size>110</mips_cpu_report_size>
            <mid_cpu_freq_governor>110</mid_cpu_freq_governor>
            <big_cpu_freq_governor>110</big_cpu_freq_governor>
            <graphic>40</graphic>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>

    <cmd id="13400" name="private_space_switch">
        <action>
            <duration_ms>5000</duration_ms>
            <lit_cpu0_min_freq>1530000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2150000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2620000</big_cpu0_min_freq>
            <gov_lit_cpu_load>110</gov_lit_cpu_load>
            <gov_mid_cpu_load>130</gov_mid_cpu_load>
            <gov_big_cpu_load>130</gov_big_cpu_load>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>
    <cmd id="13401" name="rsmc_beidou_message">
        <action>
            <duration_ms>7500</duration_ms>
            <lit_cpu0_min_freq>1530000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2150000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2620000</big_cpu0_min_freq>
            <ipa_power>10000</ipa_power>
        </action>
    </cmd>

    <cmd id="13977" name="miniprogram_start">
        <action>
            <duration_ms>1500</duration_ms>
            <gpu_min_freq>474000000</gpu_min_freq>
            <ddr_min_freq>1531000000</ddr_min_freq>
            <l3c_min_freq>1066000000</l3c_min_freq>
            <big_cpu_isolation_min>110</big_cpu_isolation_min>
            <vip>40</vip>
            <top-app>40</top-app>
            <graphic>30</graphic>
            <foreground>40</foreground>
            <ipa_power>10000</ipa_power>
        </action>
        <action>
            <duration_ms>3000</duration_ms>
            <lit_cpu0_min_freq>1530000</lit_cpu0_min_freq>
            <mid_cpu0_min_freq>2150000</mid_cpu0_min_freq>
            <big_cpu0_min_freq>2620000</big_cpu0_min_freq>
            <latency_cpu>110</latency_cpu>
        </action>
        <action>
            <duration_ms>4000</duration_ms>
            <gov_lit_cpu_delay_down>110</gov_lit_cpu_delay_down>
            <gov_mid_cpu_delay_down>110</gov_mid_cpu_delay_down>
            <gov_big_cpu_delay_down>110</gov_big_cpu_delay_down>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_big_cpu_fast_up>110</gov_big_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_mid_cpu_fast_down>110</gov_mid_cpu_fast_down>
            <gov_big_cpu_fast_down>110</gov_big_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_toptask_pcy>120</gov_big_cpu_toptask_pcy>
            <gov_mid_cpu_load>125</gov_mid_cpu_load>
            <gov_big_cpu_load>110</gov_big_cpu_load>
        </action>
    </cmd>
</policy>
